Get Marketing Cloud Next Segment Details

Retrieve details of an individual segment using the Data 360 Segment endpoint in Connect API.

Prerequisite

Before you send a request to Connect API, obtain a bearer token. For more information, see Connect to REST-based APIs.

Send the Request

To retrieve information about a segment, send a GET request to the /services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME endpoint. Replace SEGMENT_API_NAME with the API name of the segment that you want to retrieve details for. For additional information and code examples, see getSegmentDetails.

GET /services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN

If the request is successful, the response body contains detailed information about the specified segment.

{
  "segments": [
    {
      "apiName": "Running_Shoe_Promo_Audience",
      "dataSpace": "default",
      "displayName": "Running Shoe Promo Audience",
      "marketSegmentDefinitionId": "3HX1Q000000HxyZWAS",
      "marketSegmentId": "1sg1Q000000HxyZQAS",
      "publishInterval": "NO_REFRESH",
      "publishStatus": "SUCCESS",
      "segmentMembershipDmo": {
        "historyTable": "Individual_Unified_SMH_1234567890122__dlm",
        "latestTable": "Individual_Unified_SM_1234567890123__dlm"
      },
      "segmentMembershipTable": "Individual_Unified_SMH_1234567890123__dlm",
      "segmentOnApiName": "UnifiedIndividual__dlm",
      "segmentOnId": "0gj1Q000000PQ3xYZG",
      "segmentStatus": "ACTIVE",
      "segmentType": "UI"
    }
  ]
}